Bug 370421 - Upgrade firewire stack to latest upstream
Upgrade firewire stack to latest upstream
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Jay Fenlason
Martin Jenner
:
Depends On:
Blocks: RHEL5u2_relnotes RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2007-11-07 16:45 EST by Jay Fenlason
Modified: 2014-08-31 19:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:01:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (80.28 KB, patch)
2007-12-18 22:49 EST, Jay Fenlason
no flags Details | Diff

  None (edit)
Description Jay Fenlason 2007-11-07 16:45:23 EST
Description of problem:
The current 5.1 kernel firewire stack is based on older upstream code that 
does not incorporate the latest upstream bugfixes.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2007-11-07 16:55:39 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Stefan Richter 2007-11-08 16:53:57 EST
Caution -- post 2.6.23 changes to drivers/firewire/ exhibit a reference counting
bug in fw-sbp2.  Some SBP-2 devices will not be unregistered from the SCSI stack
when plugged out or switched off.  The fix is in the latest pull request to
Linus, http://lkml.org/lkml/2007/11/6/391, which has not landed upstream yet.
Comment 3 Jarod Wilson 2007-11-30 15:35:34 EST
Would be good if we can pull in the ohci 1.0 iso receive bits also, a solid
version of which only today got posted upstream and is still pending review.
Back-port to the stack as shipped in 5.1 is attached to bug 406871 though.
Comment 4 Jay Fenlason 2007-12-18 22:49:15 EST
Created attachment 289971 [details]
Proposed patch
Comment 6 Don Zickus 2008-01-21 12:29:30 EST
in 2.6.18-71.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Don Zickus 2008-02-01 16:10:52 EST
in 2.6.18-77.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 9 Don Domingo 2008-02-06 21:20:09 EST
included in the RHEL5.2 release notes (under "Tech Preview") is the following
note about FireWire... please advise if any revisions are required:

<quote>
FireWire

    The firewire-sbp2 module is included in this update as a Technology Preview.
This module enables connectivity with FireWire storage devices and scanners.

    At present, FireWire does not support the following:

        * IPv4
        * pcilynx host controllers
        * multi-LUN storage devices
        * non-exclusive access to storage devices

    In addition, the following issues still exist in this version of FireWire:

        * a memory leak in the SBP2 driver may cause the machine to become
unresponsive.
        * a code in this version does not work properly in big-endian machines.
This could lead to unexpected behavior in PowerPC.
</quote>
Comment 11 Don Domingo 2008-04-01 22:10:47 EDT
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 13 errata-xmlrpc 2008-05-21 11:01:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.